<template>
  <div>
      <h2>{{msg}}</h2>
      <p><b>Title:</b> {{ task.title }}</p>
      <p><b>Due Date:</b> {{ task.due_date }}</p>
      <p><b>Finished:</b> {{ task.finished }}</p>
      <p><b>Arquivado:</b> {{ task.archived }}</p>
      <router-link to="/">Home</router-link>
  </div>
</template>

<script>
    import axios from 'axios'
    export default{
      name: 'ContactShow',

      data () {
        return {
          task: {
            title: '',
            completes: '',
            due_date: '',
            is_filed: ''
          },
          msg: ''
        }
      },

      created () {
        axios.get('http://localhost:8000/api/tasks/' + this.$route.params.id)
            .then(response => {
              this.task = response.data
            })
      },
      methods: {
        save (message) {
          axios.put('http://localhost:8000/api/tasks/' + this.$route.params.id, {
            finished: (message),
            title: this.task.title
          })
          .then(response => {
            this.$router.push('/tasks')
          })
        }
      }
    }
</script>